Name:           python-session-info
Version:        1.0.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        session_info outputs version information for modules loaded in the current session, Python, and the OS.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.com/joelostblom/session_info
Source:         %{pypi_source session_info}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'session-info' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-session-info
Summary:        %{summary}

%description -n python3-session-info %_description


%prep
%autosetup -p1 -n session_info-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-session-info -f %{pyproject_files}


%changelog
%autochangelog